package loja;

public class ProdutoVO  implements java.io.Serializable {
	
	private String codigo;
	private String nome;
	private double preco;
	private int quantidade;
	
	public ProdutoVO() {}
	
	public ProdutoVO(String codigo, String nome, double preco, int quantidade) {
		this.codigo = codigo;
		this.nome = nome;
		this.preco = preco;
		this.quantidade = quantidade;
	}

	public String getCodigo() {
		return codigo;
	}
	public void setCodigo(String codigo) {
		this.codigo = codigo;
	}
	
	public void setNome(String nome) {
		this.nome = nome;
	}
	public String getNome() {
		return nome;
	}
	
	public void setPreco(double preco) {
		this.preco = preco;
	}
	public double getPreco() {
		return preco;
	}
	
	public int getQuantidade() {
		return quantidade;
	}
	public void setQuantidade(int quantidade) {
		this.quantidade = quantidade;
	}
	
	public void addItens(int quantidade) {
		this.quantidade += quantidade;
	}
	
	public int hashCode() {
		return Integer.parseInt(codigo) * 37;
	}
	
	public boolean equals(Object o) {
		if (!(o instanceof ProdutoVO)) return false;
		ProdutoVO p = (ProdutoVO) o;
		return p.codigo.equals(codigo);
	}
	
	public String toString() {
		return "["+codigo+"] " + nome + "($"+preco+"). Estoque: "+quantidade;
	}

}
